/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: SwaRefTestImpl.java 52876 2007-03-12 14:51:28Z af70133 $
 */


package com.sun.ts.tests.jaxws.wsi.w2j.document.literal.swareftest;

import javax.xml.ws.WebServiceException;
import javax.xml.soap.*;
import javax.activation.*;
import javax.xml.transform.stream.*;
import javax.xml.transform.*;
import java.net.*;
import java.awt.*;

import javax.jws.WebService;

@WebService(
    portName="SwaRefTestPort",
    serviceName="WSIDLSwaRefTestService",
    targetNamespace="http://SwaRefTestService.org/wsdl",
    wsdlLocation="WEB-INF/wsdl/WSW2JDLSwaRefTestService.wsdl",
    endpointInterface="com.sun.ts.tests.jaxws.wsi.w2j.document.literal.swareftest.SwaRefTest"
)

public class SwaRefTestImpl implements SwaRefTest {
    public com.sun.ts.tests.jaxws.wsi.w2j.document.literal.swareftest.SwaRefTypeResponse echoSingleSwaRefAttachment(com.sun.ts.tests.jaxws.wsi.w2j.document.literal.swareftest.SwaRefTypeRequest request) {
	System.out.println("Enter echoSingleSwaRefAttachment() ......");
	SwaRefTypeResponse response = new SwaRefTypeResponse();
	response.setAttachment(request.getAttachment());
	System.out.println("Leave echoSingleSwaRefAttachment() ......");
	return response;
    }

    public com.sun.ts.tests.jaxws.wsi.w2j.document.literal.swareftest.SwaRefTypeResponse2 echoMultipleSwaRefAttachments(com.sun.ts.tests.jaxws.wsi.w2j.document.literal.swareftest.SwaRefTypeRequest2 request) {
	System.out.println("Enter echoMultipleSwaRefAttachments() ......");
	SwaRefTypeResponse2 response = new SwaRefTypeResponse2();
	response.setAttachment1(request.getAttachment1());
	response.setAttachment2(request.getAttachment2());
	response.setAttachment3(request.getAttachment3());
	System.out.println("Leave echoMultipleSwaRefAttachments() ......");
	return response;
    }
}
